Subject: Re: bug#7969: Lisp nesting exceeds `max-lisp-eval-depth' in ibuffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Feb 2011 21:12:23 -0500

>> emacs' ibuffer mode crashes on my machine (Win32, GNU Emacs 24.0.50.1
>> (i386-mingw-nt6.1.7600) of 2011-01-31 on 3249CTO) when used with
>> complex saved filters. I attached a minimal sample that reproduces the
>> error on a vanilla emacs installation (--no-init-file, built from
>> http://alpha.gnu.org/gnu/emacs/windows/)

> I've never used this feature, but perhaps there is a typo in your
> configuration (extra set of parens in group "5")?
> Using the following diff, the problem goes away:

Indeed, that looks like a likely trigger, but it's still a bug for
ibuffer to inf-loop when faced with such data.  Can you investigate to
try and avoid the inf-loop?

        Stefan